﻿@inherits FlexLayoutBase

<div id="layout">
    <div id="header">
        <div id="headerContent">
            <div id="headerContentLeft">
                <NavLink href="/" Match="NavLinkMatch.All" class="title">Web Notes</NavLink>
            </div>
            <div id="headerContentRight">
                <button class="btn" @onclick="@ToggleTheme">theme</button>
            </div>
        </div>
    </div>

    <div id="page">
        <div id="sideBar">
            <NavigationMenu />
        </div>
        <div id="content">
            <div class="content-fill">
                <div class="content-card">
                    @Body
                </div>
            </div>
        </div>
    </div>
    <div id="footer">
        <div id="footerContent">
            <div id="footerContentRight">
                <a href="https://gitlab.com/sergey.filippov.n/sergey.filippov.n.gitlab.io/commits/dev">
                    <img alt="pipeline status" src="https://gitlab.com/sergey.filippov.n/sergey.filippov.n.gitlab.io/badges/dev/pipeline.svg" />
                </a>
                <a>Made with blazor</a>
            </div>
        </div>
    </div>
</div>